.wrapper {
  /* width: 330px; */
  font-size: 14px;
  /* border: 1px solid #CCC; */
}
.StepProgress {
  position: relative;
  padding-left: 45px;
  list-style: none;
}
.StepProgress::before {
  display: inline-block;
  content: '';
  position: absolute;
  top: 0;
  left: 25px;
  width: 10px;
  height: 100%;
  border-left: 4px solid #CCC;
}
.StepProgress-item {
  position: relative;
  counter-increment: list;
}
.StepProgress-item:not(:last-child) {
  padding-bottom: 45px;
}
.StepProgress-item::before {
  display: inline-block;
  content: '';
  position: absolute;
  left: -20px;
  height: 100%;
  width: 10px;
}
.StepProgress-item::after {
  content: '';
  display: inline-block;
  position: absolute;
  top: 0px;
  left: -39px;
  width: 40px;
  height: 40px;
  border: 2px solid #CCC;
  border-radius: 50%;
  background-color: #FFF;
}
.StepProgress-item.is-done::before {
  border-left: 4px solid #1cc88a;
}
.StepProgress-item.is-done::after {
  content: counter(list);
  font-size: 22px;
  color: #FFF;
  text-align: center;
  border: 2px solid #1cc88a;
  background-color: #1cc88a;
}

.StepProgress-item.current::before {
  border-left: 4px solid #CCC;
}
.StepProgress-item.current::after {
  content: counter(list);
  padding-top: 1px;
  width: 50px;
  height: 50px;
  top: -4px;
  left: -44px;
  font-size: 28px;
  text-align: center;
  color: #1cc88a;
  border: 2px solid #1cc88a;
  background-color: white;
}
.StepProgress strong {
  display: block;
  padding: 6px 12px;
  font-size: large;
}
.StepProgress p {
  padding: 6px 12px;
  margin: 0;
  font-size: initial;
}

.StepProgress-item.is-end::before {
    border-left: 4px solid #fff;
  }

  .StepProgress-item.is-end::after {
    content: counter(list);
   
   
    font-size: 22px;
    text-align: center;
    color: white;
    border: 2px solid #d33;
    background-color: #d33;
  }